const logger = require('@pubsweet/logger')

const { jobs: { connectToJobQueue } } = require('pubsweet-server/src')

const cancelReviewerJobs = async userId => {
  const removalQueue = `reviewer-removal-${userId}`
  const remindersQueue = `reviewer-reminders-${userId}`

  const jobQueue = await connectToJobQueue()

  await jobQueue.unsubscribe(remindersQueue)
  await jobQueue.unsubscribe(removalQueue)

  logger.info(`Canceled queue for reviewer ${userId}`)
}

module.exports = { cancelReviewerJobs }
